Subject: Re: bug#33678: Locale problems

From: Ludovic Courtès <[email-masked]>
Date: Sun, 09 Dec 2018 00:35:54 +0100

Guten Tag!  :-)

Danny Milosavljevic <[email-masked]> skribis:

> Can we do something against the locale problems that keep showing up
> when updating?
>
> Right now, after a half-finished update from guix master (half-finished because
> once any package build breaks, the entire update will stop), I cannot use any
> Umlauts because "xterm -u8" stops working as it should:
> $ xterm -u8
> Warning: locale not supported by C library, locale unchanged
> $
>
> Why does this keep happening?  Shouldn't the functional nature and modularity
> of Guix keep using the old locales where those make sense and the new locales
> where those make sense?

Please see:

  https://www.gnu.org/software/guix/manual/en/html_node/Locales.html#Locale-Data-Compatibility-Considerations

The solution, as described in this section, is to have both (say)
locales for glibc 2.27 and locales for glibc 2.28, which you can specify
in ‘locale-libcs’.

Another option is what ‘guix’ commands print every time you run them: to
install the corresponding ‘glibc-utf8-locales’ package.

Now I perfectly understands that this annoys everyone of us when that
happens, and many people don’t seem to find the info.  So I’m open to
suggestions on how to improve this!

Thanks,
Ludo’.